reagent.training package
========================

Subpackages
-----------

.. toctree::
   :maxdepth: 4

   reagent.training.cb
   reagent.training.cfeval
   reagent.training.gradient_free
   reagent.training.ranking
   reagent.training.world_model

Submodules
----------

reagent.training.c51\_trainer module
------------------------------------

.. automodule:: reagent.training.c51_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.cem\_trainer module
------------------------------------

.. automodule:: reagent.training.cem_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.discrete\_crr\_trainer module
----------------------------------------------

.. automodule:: reagent.training.discrete_crr_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.dqn\_trainer module
------------------------------------

.. automodule:: reagent.training.dqn_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.dqn\_trainer\_base module
------------------------------------------

.. automodule:: reagent.training.dqn_trainer_base
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.imitator\_training module
------------------------------------------

.. automodule:: reagent.training.imitator_training
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.multi\_stage\_trainer module
---------------------------------------------

.. automodule:: reagent.training.multi_stage_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.parameters module
----------------------------------

.. automodule:: reagent.training.parameters
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.parametric\_dqn\_trainer module
------------------------------------------------

.. automodule:: reagent.training.parametric_dqn_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.ppo\_trainer module
------------------------------------

.. automodule:: reagent.training.ppo_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.qrdqn\_trainer module
--------------------------------------

.. automodule:: reagent.training.qrdqn_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.reagent\_lightning\_module module
--------------------------------------------------

.. automodule:: reagent.training.reagent_lightning_module
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.reinforce\_trainer module
------------------------------------------

.. automodule:: reagent.training.reinforce_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.reward\_network\_trainer module
------------------------------------------------

.. automodule:: reagent.training.reward_network_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.rl\_trainer\_pytorch module
--------------------------------------------

.. automodule:: reagent.training.rl_trainer_pytorch
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.sac\_trainer module
------------------------------------

.. automodule:: reagent.training.sac_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.slate\_q\_trainer module
-----------------------------------------

.. automodule:: reagent.training.slate_q_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.td3\_trainer module
------------------------------------

.. automodule:: reagent.training.td3_trainer
   :members:
   :undoc-members:
   :show-inheritance:

reagent.training.utils module
-----------------------------

.. automodule:: reagent.training.utils
   :members:
   :undoc-members:
   :show-inheritance:

Module contents
---------------

.. automodule:: reagent.training
   :members:
   :undoc-members:
   :show-inheritance:
